"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var graphql_1 = require("graphql");
exports.default = (function (source) {
    var imports = source.match(/#\s*import.*\r?\n/g);
    if (imports) {
        var code = [
            'var parts = [];',
            "parts.push(" + JSON.stringify(graphql_1.stripIgnoredCharacters(source.replace(/^#\s*import.*$/, ''))) + ");",
            imports
                .map(function (input) { return input.trim(); })
                .map(function (line) { return line.replace(/#\s*import\s*"(.*)"/, 'parts.push(require("$1").default);'); })
                .join(''),
            'export default parts.join(\'\');',
        ];
        return code.join('');
    }
    return "export default " + JSON.stringify(graphql_1.stripIgnoredCharacters(source));
});
//# sourceMappingURL=graphql-string-loader.js.map